cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/payments/{id} \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.payments.get_payment(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.payments.getPayment("<id>");
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.Payments.GetPayment(ctx, "<id>")
if err != nil {
log.Fatal(err)
}
if res.PaymentResponse != nil {
// handle response
}
}{
"amount": "<string>",
"attempts": [
{
"attempt_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"error_message": "<string>",
"id": "<string>",
"metadata": {},
"payment_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"destination_id": "<string>",
"destination_type": "INVOICE",
"environment_id": "<string>",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_metadata": {},
"gateway_payment_id": "<string>",
"gateway_tracking_id": "<string>",
"id": "<string>",
"idempotency_key": "<string>",
"invoice_number": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_method_type": "CARD",
"payment_status": "INITIATED",
"payment_url": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"save_card_and_make_default": true,
"succeeded_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"track_attempts": true,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"voided_at": "2023-11-07T05:31:56Z"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Payments
Get payment
Use when you need to load a single payment (e.g. for a receipt view or reconciliation).
GET
/
payments
/
{id}
cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/payments/{id} \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.payments.get_payment(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.payments.getPayment("<id>");
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.Payments.GetPayment(ctx, "<id>")
if err != nil {
log.Fatal(err)
}
if res.PaymentResponse != nil {
// handle response
}
}{
"amount": "<string>",
"attempts": [
{
"attempt_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"error_message": "<string>",
"id": "<string>",
"metadata": {},
"payment_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"destination_id": "<string>",
"destination_type": "INVOICE",
"environment_id": "<string>",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_metadata": {},
"gateway_payment_id": "<string>",
"gateway_tracking_id": "<string>",
"id": "<string>",
"idempotency_key": "<string>",
"invoice_number": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_method_type": "CARD",
"payment_status": "INITIATED",
"payment_url": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"save_card_and_make_default": true,
"succeeded_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"track_attempts": true,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"voided_at": "2023-11-07T05:31:56Z"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Payment ID
Response
Payment details
Show child attributes
Show child attributes
Available options:
INVOICE, CUSTOMER Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CARD, ACH, OFFLINE, CREDITS, PAYMENT_LINK, UPI Available options:
INITIATED, PENDING, PROCESSING, SUCCEEDED, OVERPAID, FAILED, REFUNDED, PARTIALLY_REFUNDED, VOIDED 
